
function WarRecord.CurrentTimeStamp()
	-- raw numeric time relative to epoch
	if (os) and (os.time) then
		local curTime = os.time()
		-- if time is nonsense, ignore it
		if (curTime > os.time({year = 2000, month = 1, day = 1})) then
			return curTime
		end
	end
	return nil
end


function WarRecord.AdjustToServerTime(t)
	-- t is raw numeric time relative to epoch
	-- For safety from daylight saving time, offset closer to midday.
	return t - (WarRecordSaves.serverTimeOffset + 8)*60*60
end


function WarRecord.FormatTimestamp(t)
	if (os) and (os.date) then
		return os.date(WarRecordSaves.timestampFormat, t)
	end
	return nil
end

